# ContentSaliencyContentType

Enum in [Yarn.Saliency](/api/csharp/yarn.saliency.md)

Inherits from `System.Enum`

## Summary

Indicates what type of content a [ContentSaliencyOption](/api/csharp/yarn.saliency/yarn.saliency.contentsaliencyoption.md) represents.

```csharp
public enum ContentSaliencyContentType
{
    Node,
    Line
}
```

## Members

| Name                                                                                                                        | Description                                    |
| --------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------- |
| [Line](/api/csharp/yarn.saliency/yarn.saliency.contentsaliencycontenttype/yarn.saliency.contentsaliencycontenttype.line.md) | The content represents a line in a line group. |
| [Node](/api/csharp/yarn.saliency/yarn.saliency.contentsaliencycontenttype/yarn.saliency.contentsaliencycontenttype.node.md) | The content represents a node in a node group. |

## See Also

* [ContentSaliencyOption.ContentType](/api/csharp/yarn.saliency/yarn.saliency.contentsaliencyoption/yarn.saliency.contentsaliencyoption.contenttype.md): Gets the type of content that this option represents.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.saliency/yarn.saliency.contentsaliencycontenttype.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
